local L = AceLibrary("AceLocale-2.2"):new("Talented")
local pcall = pcall

Talented.OnCommReceive = {}

function Talented.OnCommReceive:ShareTemplate(prefix, sender, distribution, name, code)
	local opt = StaticPopupDialogs.TALENTED_CONFIRM_SHARE_TEMPLATE
	local OnAccept
	if not opt then
		opt = {
			button1 = YES,
			button2 = NO,
			OnAccept = function()
				local res, value, class = pcall(self.StringToTemplate, self, opt.code)
				if res then
					self:ImportFromOther(opt.name, {code = opt.code, class = class})
				else
					self:Print("Invalid template", err)
				end
			end,
			timeout = 0,
			exclusive = 1,
			whileDead = 1,
			interruptCinematic = 1
		}
		StaticPopupDialogs.TALENTED_CONFIRM_SHARE_TEMPLATE = opt
	end
	
	opt.text = string.format(L["Do you want to add the template \"%s\" that %s sent you ?"], name, sender)
	opt.name = string.format("%s - %s", sender, name)
	opt.code = code
	
	StaticPopup_Show("TALENTED_CONFIRM_SHARE_TEMPLATE")
end

function Talented:ExportTemplateToUser(name)
	self:SendCommMessage("WHISPER", name, "ShareTemplate", self.template.name, self:TemplateToString(self.template))
end
